NSX-T Data Center REST API

Read load balancer node usage summary

The API is used to retrieve the load balancer node usage summary of all
nodes for every enforcement point.
- If the parameter ?include_usages=true exists, the property node_usages
are included in response. By default, the property node_usages is not
included in response.
- If parameter ?enforcement_point_path=<enforcement-point-path> exists,
only node usage summary from specific enforcement point is included
in response. If no enforcement point path is specified, information will
be aggregated from each enforcement point.
- If parameter ?node_type=VirtualNetworkAppliance exists, it will only
return the LB node usage summary for virtual network appliances. If
parameter ?node_type=EdgeNode exists, it will only return the LB node usage
summary for edge nodes. If the parameter is not specified, it will return
LB node usage summary for both edge nodes and virtual network appliances.

NSX Load Balancer availability in terms of use-cases and editions is
specified in NSX Feature and Edition Guide. Please review before consuming
those APIs.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/lb-node-usage-summary
Request Headers:
n/a
Query Parameters:
LBNodeUsageSummaryRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/lb-node-usage-summary?include_usages=true

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
AggregateLBNodeUsageSummary+

Example Response:

{ "results" : [ { "current_load_balancer_credits" : 6, "load_balancer_credit_capacity" : 20, "current_pool_member_count" : 8, "pool_member_capacity" : 40000, "usage_percentage" : 30.0, "severity" : "GREEN", "node_counts" : [ { "severity" : "GREEN", "node_count" : 2 }, { "severity" : "ORANGE", "node_count" : 0 }, { "severity" : "RED", "node_count" : 0 } ], "node_usages" : [ { "form_factor" : "MEDIUM_VIRTUAL_MACHINE", "edge_cluster_path" : "/infra/sites/default/enforcement-points/default/edge-clusters/bfdda9bb-1db5-4d67-92f0-40f15f76259f", "current_load_balancer_credits" : 3, "load_balancer_credit_capacity" : 10, "usage_percentage" : 30.0, "severity" : "GREEN", "current_pool_member_count" : 4, "current_virtual_server_count" : 3, "current_pool_count" : 3, "pool_member_capacity" : 20000, "current_small_load_balancer_count" : 3, "current_medium_load_balancer_count" : 0, "current_large_load_balancer_count" : 0, "current_xlarge_load_balancer_count" : 0, "remaining_small_load_balancer_count" : 7, "remaining_medium_load_balancer_count" : 0, "remaining_large_load_balancer_count" : 0, "remaining_xlarge_load_balancer_count" : 0, "resource_type" : "LBEdgeNodeUsage", "node_path" : "/infra/sites/default/enforcement-points/default/edge-clusters/bfdda9bb-1db5-4d67-92f0-40f15f76259f/edge-nodes/1" }, { "form_factor" : "MEDIUM_VIRTUAL_MACHINE", "edge_cluster_path" : "/infra/sites/default/enforcement-points/default/edge-clusters/bfdda9bb-1db5-4d67-92f0-40f15f76259f", "current_load_balancer_credits" : 3, "load_balancer_credit_capacity" : 10, "usage_percentage" : 30.0, "severity" : "GREEN", "current_pool_member_count" : 4, "current_virtual_server_count" : 3, "current_pool_count" : 3, "pool_member_capacity" : 20000, "current_small_load_balancer_count" : 3, "current_medium_load_balancer_count" : 0, "current_large_load_balancer_count" : 0, "current_xlarge_load_balancer_count" : 0, "remaining_small_load_balancer_count" : 7, "remaining_medium_load_balancer_count" : 0, "remaining_large_load_balancer_count" : 0, "remaining_xlarge_load_balancer_count" : 0, "resource_type" : "LBEdgeNodeUsage", "node_path" : "/infra/sites/default/enforcement-points/default/edge-clusters/bfdda9bb-1db5-4d67-92f0-40f15f76259f/edge-nodes/0" } ], "enforcement_point_path" : "/infra/sites/default/enforcement-points/default" } ], "intent_path" : "/infra/lb-node-usage-summary?include_usages=true" }

Required Permissions:

read

Feature:

policy_statistics

Additional Errors: